org.bouncycastle.jce.provider

## Class JDKAlgorithmParameterGenerator.RC2

- java.lang.Object
- - java.security.AlgorithmParameterGeneratorSpi
  - - org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
    - - org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator.RC2

Enclosing class:
  JDKAlgorithmParameterGenerator

    public static class JDKAlgorithmParameterGenerator.RC2
    extends JDKAlgorithmParameterGenerator

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator

`JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.GOST3410, JDKAlgorithmParameterGenerator.RC2`

### Field Summary

### Fields inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator

`random, strength`

### Constructor Summary

Constructors
Constructor and Description
`JDKAlgorithmParameterGenerator.RC2()`

### Method Summary

Methods
`protected java.security.AlgorithmParameters` `engineGenerateParameters()`
`protected void` `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

### Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator

`engineInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKAlgorithmParameterGenerator.RC2

    public JDKAlgorithmParameterGenerator.RC2()

### Method Detail

#### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                  java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

Specified by:
  `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
Throws:
  `java.security.InvalidAlgorithmParameterException`

#### engineGenerateParameters

    protected java.security.AlgorithmParameters engineGenerateParameters()

Specified by:
  `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`